﻿using Hotline.Share.Enums.FlowEngine;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Dtos.Order.Handle
{
    public class GetCrossLevelStepsDto
    {
        /// <summary>
        /// 已开启流程的必须传流程id
        /// </summary>
        public string? WorkflowId { get; set; }

        /// <summary>
        /// 流程模板节点编号
        /// </summary>
        public string StepCode { get; set; }

        /// <summary>
        /// 所选部门id
        /// </summary>
        public List<string> OrgIds { get; set; }

        /// <summary>
        /// 模板配置节点类型
        /// </summary>
        public EStepType StepType { get; set; }

        /// <summary>
        /// 模板配置节点业务类型
        /// </summary>
        public EBusinessType BusinessType { get; set; }

        /// <summary>
        /// 办理对象类型
        /// </summary>
        public EHandlerType HandlerType { get; set; }
    }
}
